{
	// Use IntelliSense to learn about possible attributes.
	// Hover to view descriptions of existing attributes.
	// For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
	"version": "0.2.0",
	"configurations": [
		{
			"name": "Python: Mocha Web",
			"type": "python",
			"request": "launch",
			"program": "./python/mocha-web.py",
			"console": "integratedTerminal",
			"justMyCode": true
		},
		{
			"name": "Python: SUV Manager",
			"type": "python",
			"request": "launch",
			"program": "./common/admin/suv-manager/python/SUVManager.py",
			"console": "integratedTerminal",
			"justMyCode": true
		},
		{
			"name": "SUV Manager Debug",
			"type": "php",
			"request": "launch",
			"runtimeArgs": [
				"-S",
				"localhost:8000",
				"-t",
				"./common/admin/suv-manager/php"
			],
			"port": 9003,
			"serverReadyAction": {
				"action": "openExternally"
			}
		},
		{
			"name": "Launch built-in server and debug",
			"type": "php",
			"request": "launch",
			"runtimeArgs": [
				"-S",
				"localhost:8000",
				"-t",
				"."
			],
			"port": 9003,
			"serverReadyAction": {
				"action": "openExternally"
			}
		},
		{
			"name": "Debug current script in console",
			"type": "php",
			"request": "launch",
			"program": "${file}",
			"cwd": "${fileDirname}",
			"externalConsole": false,
			"port": 9003
		},
		{
			"name": "Listen for Xdebug",
			"type": "php",
			"request": "launch",
			"port": 9003
		}
	]
}